OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
cl::Sampler Class Reference

Class interface for cl_sampler. More...

`#include <cl2.hpp>`

Inherits cl::detail::Wrapper< cl_sampler >.

## Public Member Functions
| Sampler ()
| Default constructor - initializes to NULL. More...
| Sampler (const Context &context, cl_bool normalized_coords, cl_addressing_mode addressing_mode, cl_filter_mode filter_mode, cl_int *err=NULL)
| Constructs a Sampler in a specified context. More...
| Sampler (const cl_sampler &sampler, bool retainObject=false)
| Constructor from cl_sampler - takes ownership. More...
Sampler & | operator= (const cl_sampler &rhs)
| Assignment operator from cl_sampler - takes ownership. More...
| Sampler (const Sampler &sam)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC. More...
Sampler & | operator= (const Sampler &sam)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC. More...
| Sampler (Sampler &&sam) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC. More...
Sampler & | operator= (Sampler &&sam)
| Move assignment to forward move to the superclass correctly. Required for MSVC. More...
template<typename T >
cl_int | getInfo (cl_sampler_info name, T *param) const
| Wrapper for clGetSamplerInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_sampler_info, name >::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetSamplerInfo() that returns by value. More...
Public Member Functions inherited from cl::detail::Wrapper< cl_sampler >
| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
| ~Wrapper ()
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_sampler >
typedef cl_sampler | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_sampler >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_sampler >
cl_type | object_

## Detailed Description

Class interface for cl_sampler.

Note
  Copies of these objects are shallow, meaning that the copy will refer to the same underlying cl_sampler as the original. For details, see clRetainSampler() and clReleaseSampler().

See Also
  cl_sampler

## Constructor & Destructor Documentation

cl::Sampler::Sampler | ( |  | ) |
| inline

Default constructor - initializes to NULL.

cl::Sampler::Sampler | ( | const Context & | context,
|  | cl_bool | normalized_coords,
|  | cl_addressing_mode | addressing_mode,
|  | cl_filter_mode | filter_mode,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Constructs a Sampler in a specified context.

Wraps clCreateSampler().

cl::Sampler::Sampler | ( | const cl_sampler & | sampler,
|  | bool | retainObject = `false`
| ) |  |
| inline explicit

Constructor from cl_sampler - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. This effectively transfers ownership of a refcount on the cl_sampler into the new Sampler object.

cl::Sampler::Sampler | ( | const Sampler & | sam | ) |
| inline

Copy constructor to forward copy to the superclass correctly. Required for MSVC.

cl::Sampler::Sampler | ( | Sampler && | sam | ) |
| inline

Move constructor to forward move to the superclass correctly. Required for MSVC.

## Member Function Documentation

template<typename T >

cl_int cl::Sampler::getInfo | ( | cl_sampler_info | name,
|  | T * | param
| ) |  | const
| inline

Wrapper for clGetSamplerInfo().

template<cl_int name>

detail::param_traits<detail::cl_sampler_info, name>::param_type cl::Sampler::getInfo | ( | cl_int * | err = `NULL` | ) | const
| inline

Wrapper for clGetSamplerInfo() that returns by value.

Sampler& cl::Sampler::operator= | ( | const cl_sampler & | rhs | ) |
| inline

Assignment operator from cl_sampler - takes ownership.

This effectively transfers ownership of a refcount on the rhs and calls clReleaseSampler() on the value previously held by this instance.

Sampler& cl::Sampler::operator= | ( | const Sampler & | sam | ) |
| inline

Copy assignment to forward copy to the superclass correctly. Required for MSVC.

Sampler& cl::Sampler::operator= | ( | Sampler && | sam | ) |
| inline

Move assignment to forward move to the superclass correctly. Required for MSVC.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp